/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *			(C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#include "portsdbupdateengine.h"

#include <pkgconstants.h>
#include <unixprocess.h>

PortsDBUpdateEngine::PortsDBUpdateEngine()
{
}


/** Returns a QProcess that acts on the ports
  * database as specified before.
  *
  * The returned QProcess must be deleted after use.
  */
UnixProcess * PortsDBUpdateEngine::getProcess()
{
	UnixProcess *process = new UnixProcess(QString(PORTSDB_CMD));
	process->addArgument("-u");

	return  process;
}
